Subject: bug#51815: 27.2; Strange interaction between Org and Diary

From: Stephen Berman <[email-masked]>
Date: Sat, 13 Nov 2021 20:47:22 +0100

On Sat, 13 Nov 2021 21:29:03 +0200 Eli Zaretskii <[email-masked]> wrote:

>> From: Robert Thorpe <[email-masked]>
>> Date: Sat, 13 Nov 2021 19:16:16 +0000
>>
>> I use Org mode but I also use the normal calendar and diary.
>>
>> This has an unwanted effect if I open an org file.  After org has been
>> started the calendar no longer functions as expected.  If I press "i d"
>> then it fails to insert an entry in the diary file.  A warning in
>> *Messages* says:
>>
>> "command-execute: Wrong type argument: commandp, org-agenda-diary-entry"
>>
>> I don't use org-agenda, BTW.
>>
>> To clarify there are two conditions that are needed to see this
>> behaviour.
>>
>> 1) Org-mode has been started in the Emacs session.
>>
>> It does not happen if org-mode hasn't been started (e.g. by opening an
>> org file in another buffer).
>>
>> 2) Org-mode must be started first before calendar.
>>
>> If calendar is started first and org-mode is started second then the
>> calendar works.
>
> Which version of Org are you using? the one that came with Emacs 27.2
> or something else?

This is bug#48199, which was fixed in Org bundled with Emacs 28, so the
version of Org in GNU ELPA should have the fix.

Steve Berman